%define upstream_name    Test-Output
%define upstream_version 1.036

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utilities to test STDOUT and STDERR messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.170.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildRequires: perl(version) >= 0.860.0
BuildArch:  noarch

%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try and be as
flexible as possible to the tester.

Originally this module was designed not to have external requirements, 
however, the features provided by L<Sub::Exporter> over what L<Exporter>
provides is just to great to pass up.

Test::Output ties STDOUT and STDERR using Test::Output::Tie.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.36.0-2.mga10
+ Revision: 2251524
- Mageia 10 Mass Rebuild

* Wed Apr 16 2025 tv <tv> 1.36.0-1.mga10
+ Revision: 2175804
- update to 1.036

* Fri Jan 24 2025 tv <tv> 1.35.0-1.mga10
+ Revision: 2141375
- update to 1.035

* Tue Aug 29 2023 tv <tv> 1.34.0-1.mga10
+ Revision: 1981028
- update to 1.034

* Mon Mar 21 2022 umeabot <umeabot> 1.33.0-2.mga9
+ Revision: 1814022
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.33.0-1.mga9
+ Revision: 1690374
- update to 1.033

* Wed Feb 12 2020 umeabot <umeabot> 1.31.0-4.mga8
+ Revision: 1506485
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.31.0-3.mga7
+ Revision: 1286685
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.31.0-2.mga7
+ Revision: 1166863
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.31.0-1.mga7
+ Revision: 1141520
- update to 1.031

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-5.mga6
+ Revision: 1034468
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.30.0-4.mga6
+ Revision: 936534
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-3.mga5
+ Revision: 745073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-2.mga5
+ Revision: 686506
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 587332
- update to 1.03

* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 529506
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 sander85 <sander85> 1.20.0-1.mga4
+ Revision: 452044
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 373673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 107468
- update to 1.01

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 28813
- mageia rebuild
- imported package perl-Test-Output

